<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KDialog</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KDialog Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdialog.html">QDialog</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />
Subclasses: <a href="../kdeui/KAboutApplicationDialog.html">KAboutApplicationDialog</a>, <a href="../kdeui/KBugReport.html">KBugReport</a>, <a href="../kdeui/KColorDialog.html">KColorDialog</a>, <a href="../kdeui/KEditToolBar.html">KEditToolBar</a>, <a href="../kdeui/KFindDialog.html">KFindDialog</a>, <a href="../kdeui/KFontDialog.html">KFontDialog</a>, <a href="../kdeui/KNewPasswordDialog.html">KNewPasswordDialog</a>, <a href="../kdeui/KPageDialog.html">KPageDialog</a>, <a href="../kdeui/KPasswordDialog.html">KPasswordDialog</a>, <a href="../kdeui/KPixmapRegionSelectorDialog.html">KPixmapRegionSelectorDialog</a>, <a href="../kdeui/KProgressDialog.html">KProgressDialog</a>, <a href="../kdeui/KShortcutsDialog.html">KShortcutsDialog</a>, <a href="../kdeui/KTipDialog.html">KTipDialog</a>, <a href="../kdeui/Sonnet.ConfigDialog.html">Sonnet.ConfigDialog</a>, <a href="../kdeui/Sonnet.Dialog.html">Sonnet.Dialog</a><br />

<h2>Detailed Description</h2>

<p>A dialog base class with standard buttons and predefined layouts.
</p>
<p>
Provides basic functionality needed by nearly all dialogs.
</p>
<p>
It offers the standard action buttons you'd expect to find in a
dialog as well as the capability to define at most three configurable
buttons. You can define a main widget that contains your specific
dialog layout
</p>
<p>
The class takes care of the geometry management. You only need to define
a minimum size for the widget you want to use as the main widget.
</p>
<p>
By default, the dialog is non-modal.
</p>
<p>
<b>Standard buttons (action buttons):</b>\n
</p>
<p>
You select which buttons should be displayed, but you do not choose the
order in which they are displayed. This ensures a standard interface in
KDE. The button order can be changed, but this ability is only available
for a central KDE control tool. The following buttons are available:
OK, Cancel/Close, Apply/Try, Default, Help and three user definable
buttons: User1, User2 and User3. You must specify the text of the UserN
buttons. Each button emit a signal, so you can choose to connect that signal.
</p>
<p>
The default action of the Help button will open the help system if you have
provided a path to the help text.
The default action of Ok and Cancel will run QDialog.accept() and QDialog.reject(),
which you can override by reimplementing slotButtonClicked(). The default
action of the Close button will close the dialog.
</p>
<p>
Note that the KDialog will animate a button press
when the user presses Escape. The button that is enabled is either Cancel,
Close or the button that is defined by setEscapeButton().
Your custom dialog code should reimplement the keyPressEvent and
animate the cancel button so that the dialog behaves like regular
dialogs.
</p>
<p>
<b>Layout:</b>\n
</p>
<p>
The dialog consists of a help area on top (becomes visible if you define
a help path and use enableLinkedHelp()), the main area which is
the built-in dialog face or your own widget in the middle and by default
a button box at the bottom. The button box can also be placed at the
right edge (to the right of the main widget). Use
setButtonsOrientation() to control this behavior. A separator
can be placed above the button box (or to the left when the button box
is at the right edge).
</p>
<p>
<b>Standard compliance:</b>\n
</p>
<p>
The marginHint() and spacingHint() sizes shall be used
whenever you lay out the interior of a dialog. One special note. If
you make your own action buttons (OK, Cancel etc), the space
between the buttons shall be spacingHint(), whereas the space
above, below, to the right and to the left shall be marginHint().
If you add a separator line above the buttons, there shall be a
marginHint() between the buttons and the separator and a
marginHint() above the separator as well.
</p>
<p>
<b>Example:</b>\n
</p>
<p>
<pre class="fragment">
   KDialog *dialog = new KDialog( this );
   dialog-&gt;setCaption( "My title" );
   dialog-&gt;setButtons( KDialog.Ok | KDialog.Cancel | KDialog.Apply );

   FooWidget *widget = new FooWidget( dialog );
   dialog-&gt;setMainWidget( widget );
   connect( dialog, SIGNAL( applyClicked() ), widget, SLOT( save() ) );
   connect( dialog, SIGNAL( okClicked() ), widget, SLOT( save() ) );
   connect( widget, SIGNAL( changed( bool ) ), dialog, SLOT( enableButtonApply( bool ) ) );

   dialog-&gt;enableButtonApply( false );
   dialog-&gt;show();
</pre>
</p>
<p>
This class can be used in many ways. Note that most KDE ui widgets
and many of KDE core applications use the KDialog so for more
inspiration you should study the code for these.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KPageDialog
</dd></dl> 
<dl class="author" compact><dt><b>Author:</b></dt><dd> Thomas Tanghus &lt;tanghus@earthling.net&gt; </dd></dl>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Espen Sand &lt;espensa@online.no&gt; </dd></dl>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Mirko Boehm &lt;mirko@kde.org&gt; </dd></dl>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Olivier Goffart &lt;ogoffart at kde.org&gt; </dd></dl>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Tobias Koenig &lt;tokoe@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj186564492">ButtonCode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;None, Help, Default, Ok, Apply, Try, Cancel, Close, No, Yes, Reset, Details, User1, User2, User3, NoDefault&nbsp;}<br><i>Typesafe wrapper:</i> ButtonCodes</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj186562028">ButtonPopupMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;InstantPopup, DelayedPopup&nbsp;}<br><i>Typesafe wrapper:</i> ButtonPopupModes</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj169969132">CaptionFlag</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoCaptionFlags, AppNameCaption, ModifiedCaption, HIGCompliantCaption&nbsp;}<br><i>Typesafe wrapper:</i> CaptionFlags</td></tr>
<tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162585900">aboutToShowDetails</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170019276">applyClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169946444">buttonClicked</a> (KDialog.ButtonCode button)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169945004">cancelClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169945580">closeClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006124">defaultClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162586476">finished</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170005676">helpClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162583916">hidden</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170005548">layoutHintChanged</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169946604">noClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170019564">okClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170008204">resetClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170018444">tryClicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170018220">user1Clicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170016972">user2Clicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006604">user3Clicked</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169945644">yesClicked</a> ()</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186562572">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.WFlags</a> flags=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180197388">__init__</a> (self, KDialogPrivate dd, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.WFlags</a> flags=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189033644">__init__</a> (self, <a href="../kdeui/KDialog.html">KDialog</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162585900">aboutToShowDetails</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170019276">applyClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169918764">button</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169946444">buttonClicked</a> (self, KDialog.ButtonCode button)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KIcon.html">KIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186531052">buttonIcon</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186529996">buttonText</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177975180">buttonToolTip</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186504780">buttonWhatsThis</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169945004">cancelClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169945580">closeClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189032940">closeEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qcloseevent.html">QCloseEvent</a> e)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KDialog.ButtonCode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186589004">defaultButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006124">defaultClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006252">delayedDestruct</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169998892">enableButton</a> (self, KDialog.ButtonCode id, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169997964">enableButtonApply</a> (self, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169998476">enableButtonCancel</a> (self, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169999436">enableButtonOk</a> (self, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169957068">enableLinkedHelp</a> (self, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162586476">finished</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170005676">helpClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169920268">helpLinkText</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162583916">hidden</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162584972">hideEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qhideevent.html">QHideEvent</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169910924">incrementInitialSize</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a> size)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169910956">isButtonEnabled</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169958252">isDetailsWidgetVisible</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189033356">keyPressEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeyevent.html">QKeyEvent</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170005548">layoutHintChanged</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169936268">mainWidget</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169936076">minimumSizeHint</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169946604">noClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170019564">okClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170008204">resetClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169911980">restoreDialogSize</a> (self, <a href="../kdecore/KConfigGroup.html">KConfigGroup</a> config)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169912108">saveDialogSize</a> (self, <a href="../kdecore/KConfigGroup.html">KConfigGroup</a> config, KConfigBase.WriteConfigFlags options=KConfigGroup.Normal)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186506604">setButtonFocus</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186505964">setButtonGuiItem</a> (self, KDialog.ButtonCode id, <a href="../kdeui/KGuiItem.html">KGuiItem</a> item)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186530764">setButtonIcon</a> (self, KDialog.ButtonCode id, <a href="../kdeui/KIcon.html">KIcon</a> icon)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186505420">setButtonMenu</a> (self, KDialog.ButtonCode id, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qmenu.html">QMenu</a> menu, KDialog.ButtonPopupMode popupmode=KDialog.InstantPopup)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186529292">setButtonText</a> (self, KDialog.ButtonCode id, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186529932">setButtonToolTip</a> (self, KDialog.ButtonCode id, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179943692">setButtonWhatsThis</a> (self, KDialog.ButtonCode id, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186585324">setButtons</a> (self, KDialog.ButtonCodes buttonMask)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186586924">setButtonsOrientation</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.Orientation</a> orientation)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169937740">setCaption</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169937548">setCaption</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption, bool modified)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186587724">setDefaultButton</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006092">setDetailsWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> detailsWidget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169957164">setDetailsWidgetVisible</a> (self, bool visible)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186587340">setEscapeButton</a> (self, KDialog.ButtonCode id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169959404">setHelp</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> anchor, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> appname=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169957804">setHelpLinkText</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186504332">setInitialSize</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a> size)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169984236">setMainWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169937804">setPlainCaption</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186585612">showButton</a> (self, KDialog.ButtonCode id, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186588876">showButtonSeparator</a> (self, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169937292">sizeHint</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189032876">slotButtonClicked</a> (self, int button)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170018444">tryClicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189034188">updateGeometry</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170018220">user1Clicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170016972">user2Clicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006604">user3Clicked</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169945644">yesClicked</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169985740">avoidArea</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a> area, int screen=-1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169986668">centerOnScreen</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget, int screen=-1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169921356">groupSpacingHint</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169970892">makeStandardCaption</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userCaption, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> window=0, KDialog.CaptionFlags flags=KDialog.HIGCompliantCaption)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169921772">marginHint</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169970412">resizeLayout</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget, int margin, int spacing)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169969932">resizeLayout</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qlayout.html">QLayout</a> lay, int margin, int spacing)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169921548">spacingHint</a> ()</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj186562572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.WFlags</a>&nbsp;</td>
<td class="paramname"><em>flags=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a dialog.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The parent of the dialog.

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> The widget flags passed to the QDialog constructor
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180197388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialogPrivate&nbsp;</td>
<td class="paramname"><em>dd</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.WFlags</a>&nbsp;</td>
<td class="paramname"><em>flags=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189033644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KDialog.html">KDialog</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj162585900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> aboutToShowDetails</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The detailsWidget is about to get shown. This is your last chance
to call setDetailsWidget if you haven't done so yet.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("aboutToShowDetails()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj170019276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> applyClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Apply button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("applyClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169985740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool avoidArea</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a>&nbsp;</td>
<td class="paramname"><em>area</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>screen=-1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Places <b>widget</b> so that it doesn't cover a certain <b>area</b> of the screen.
This is typically used by the "find dialog" so that the match it finds can
be read.
For <b>screen,</b> see centerOnScreen
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true on success (widget doesn't cover area anymore, or never did),
false on failure (not enough space found)
</dd></dl>
</p></div></div><a class="anchor" name="obj169918764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> button</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the button that corresponds to the <b>id.</b>
</p>
<p>
Normally you should not use this function.
<b>Never</b> delete the object returned by this function.
See also enableButton(), showButton(), setButtonGuiItem().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> Identifier of the button.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The button or 0 if the button does not exist.
</dd></dl>
</p></div></div><a class="anchor" name="obj169946444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> buttonClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>button</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>A button has been pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>button</em>&nbsp;</td><td> is the code of the pressed button.
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("buttonClicked(ButtonCode)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj186531052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KIcon.html">KIcon</a> buttonIcon</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the icon of any button.
</p></div></div><a class="anchor" name="obj186529996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> buttonText</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the text of any button.
</p></div></div><a class="anchor" name="obj177975180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> buttonToolTip</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the tooltip of any button.
</p></div></div><a class="anchor" name="obj186504780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> buttonWhatsThis</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the "What's this?" text of any button.
</p></div></div><a class="anchor" name="obj169945004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> cancelClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Cancel button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("cancelClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169986668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> centerOnScreen</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>screen=-1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Centers <b>widget</b> on the desktop, taking multi-head setups into
account. If <b>screen</b> is -1, <b>widget</b> will be centered on its
current screen (if it was shown already) or on the primary screen.
If <b>screen</b> is -3, <b>widget</b> will be centered on the screen that
currently contains the mouse pointer.
<b>screen</b> will be ignored if a merged display (like Xinerama) is not
in use, or merged display placement is not enabled in kdeglobals.
</p></div></div><a class="anchor" name="obj169945580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> closeClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Close button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("closeClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj189032940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> closeEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qcloseevent.html">QCloseEvent</a>&nbsp;</td>
<td class="paramname"><em>e</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Detects when a dialog is being closed from the window manager
controls. If the Cancel or Close button is present then the button
is activated. Otherwise standard QDialog behavior
will take place.
</p></div></div><a class="anchor" name="obj186589004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KDialog.ButtonCode defaultButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the button code of the default button.
</p></div></div><a class="anchor" name="obj170006124"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> defaultClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Default button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("defaultClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj170006252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> delayedDestruct</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Destruct the dialog delayed.
</p>
<p>
You can call this function from slots like closeClicked() and hidden().
You should not use the dialog any more after calling this function.
</p></div></div><a class="anchor" name="obj169998892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> enableButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Enable or disable (gray out) a general action button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> Button identifier.

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> <b>true</b> enables the button(s).
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169997964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> enableButtonApply</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Enable or disable (gray out) the Apply button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> true enables the button.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169998476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> enableButtonCancel</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Enable or disable (gray out) the Cancel button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> true enables the button.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169999436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> enableButtonOk</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Enable or disable (gray out) the OK button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> <b>true</b> enables the button.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169957068"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> enableLinkedHelp</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Display or hide the help link area on the top of the dialog.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> <b>true</b> will display the area.
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> helpLinkText()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setHelpLinkText()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setHelp()
</dd></dl>
</p></div></div><a class="anchor" name="obj162586476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> finished</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The dialog has finished.
</p>
<p>
A dialog emits finished after a user clicks a button that ends
the dialog.
</p>
<p>
This signal is also emitted when you call hide()
</p>
<p>
If you have stored a pointer to the
dialog do <b>not</b> try to delete the pointer in the slot that is
connected to this signal.
</p>
<p>
You should use deleteLater() instead.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("finished()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169921356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int groupSpacingHint</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the number of pixels that should be used to visually
separate groups of related options in a dialog according to
the KDE standard.
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj170005676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> helpClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Help button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("helpClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169920268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> helpLinkText</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the help link text.
</p>
<p>
If no text has been defined,
"Get help..." (internationalized) is returned.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The help link text.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> enableLinkedHelp()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setHelpLinkText()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setHelp()
</dd></dl>
</p></div></div><a class="anchor" name="obj162583916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> hidden</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The dialog is about to be hidden.
</p>
<p>
A dialog is hidden after a user clicks a button that ends
the dialog or when the user switches to another desktop or
minimizes the dialog.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("hidden()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj162584972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> hideEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qhideevent.html">QHideEvent</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emits the #hidden signal. You can connect to that signal to
detect when a dialog has been closed.
</p></div></div><a class="anchor" name="obj169910924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> incrementInitialSize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a>&nbsp;</td>
<td class="paramname"><em>size</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convenience method. Add a size to the default minimum size of a
dialog.
</p>
<p>
This method should only be called right before show() or exec().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> Size added to minimum size.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169910956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isButtonEnabled</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns whether any button is enabled.
</p></div></div><a class="anchor" name="obj169958252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDetailsWidgetVisible</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the status of the Details button.
</p></div></div><a class="anchor" name="obj189033356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> keyPressEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeyevent.html">QKeyEvent</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj170005548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> layoutHintChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Emitted when the margin size and/or spacing size
have changed.
</p>
<p>
Use marginHint() and spacingHint() in your slot
to get the new values.
</p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> This signal is not emitted. Listen to QEvent.StyleChange events instead.
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("layoutHintChanged()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169936268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> mainWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The current main widget. Will create a QWidget as the mainWidget
if none was set before. This way you can write
</dd></dl> <pre class="fragment">
   ui.setupUi(mainWidget());
</pre>
when using designer.
</p></div></div><a class="anchor" name="obj169970892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> makeStandardCaption</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userCaption</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>window=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.CaptionFlags&nbsp;</td>
<td class="paramname"><em>flags=KDialog.HIGCompliantCaption</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Builds a caption that contains the application name along with the
userCaption using a standard layout.
</p>
<p>
To make a compliant caption for your window, simply do:
<b>setWindowTitle(KDialog.makeStandardCaption(yourCaption));</b>
</p>
<p>
To ensure that the caption is appropriate to the desktop in which the
application is running, pass in a pointer to the window the caption will
be applied to.
</p>
<p>
If using a KDialog or KMainWindow subclass, call setCaption instead and
an appropraite standard caption will be created for you
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userCaption</em>&nbsp;</td><td> The caption string you want to display in the
window caption area. Do not include the application name!

<tr><td></td><td valign="top"><em>window</em>&nbsp;</td><td> a pointer to the window this application will apply to

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td>
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the created caption
</dd></dl>
</p></div></div><a class="anchor" name="obj169921772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int marginHint</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the number of pixels that should be used between a
dialog edge and the outermost widget(s) according to the KDE standard.
</p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use the style's pixelMetric() function to query individual margins.
Different platforms may use different values for the four margins.
</dd></dl>
</p></div></div><a class="anchor" name="obj169936076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a> minimumSizeHint</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reimplemented from QDialog.
</p></div></div><a class="anchor" name="obj169946604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> noClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The No button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("noClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj170019564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> okClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The OK button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("okClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj170008204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> resetClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Reset button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("resetClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169970412"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> resizeLayout</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>margin</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>spacing</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Resize every layout manager used in <b>widget</b> and its nested children.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> The widget used.

<tr><td></td><td valign="top"><em>margin</em>&nbsp;</td><td> The new layout margin.

<tr><td></td><td valign="top"><em>spacing</em>&nbsp;</td><td> The new layout spacing.
</td></tr>
</table></dl>
<p> <dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use QLayout functions where necessary. Setting margin and spacing
values recursively for all children prevents QLayout from creating platform native
layouts.
</dd></dl>
</p></div></div><a class="anchor" name="obj169969932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> resizeLayout</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qlayout.html">QLayout</a>&nbsp;</td>
<td class="paramname"><em>lay</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>margin</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>spacing</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Resize every layout associated with <b>lay</b> and its children.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>lay</em>&nbsp;</td><td> layout to be resized

<tr><td></td><td valign="top"><em>margin</em>&nbsp;</td><td> The new layout margin

<tr><td></td><td valign="top"><em>spacing</em>&nbsp;</td><td> The new layout spacing
</td></tr>
</table></dl>
<p> <dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use QLayout functions where necessary. Setting margin and spacing
values recursively for all children prevents QLayout from creating platform native
layouts.
</dd></dl>
</p></div></div><a class="anchor" name="obj169911980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> restoreDialogSize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KConfigGroup.html">KConfigGroup</a>&nbsp;</td>
<td class="paramname"><em>config</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Restores the dialog's size from the configuration according to
the screen size.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> the group must be set before calling
</dd></dl> </p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>config</em>&nbsp;</td><td> The config group to read from.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169912108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> saveDialogSize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KConfigGroup.html">KConfigGroup</a>&nbsp;</td>
<td class="paramname"><em>config</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KConfigBase.WriteConfigFlags&nbsp;</td>
<td class="paramname"><em>options=KConfigGroup.Normal</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Saves the dialog's size dependent on the screen dimension either to the
global or application config file.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> the group must be set before calling
</dd></dl> </p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>config</em>&nbsp;</td><td> The config group to read from.

<tr><td></td><td valign="top"><em>options</em>&nbsp;</td><td> passed to KConfigGroup.writeEntry()
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186506604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonFocus</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the focus to the button of the passed <b>id.</b>
</p></div></div><a class="anchor" name="obj186505964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonGuiItem</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KGuiItem.html">KGuiItem</a>&nbsp;</td>
<td class="paramname"><em>item</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the KGuiItem directly for the button instead of using 3 methods to
set the text, tooltip and whatsthis strings. This also allows to set an
icon for the button which is otherwise not possible for the extra
buttons beside Ok, Cancel and Apply.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button identifier.

<tr><td></td><td valign="top"><em>item</em>&nbsp;</td><td> The KGuiItem for the button.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186530764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonIcon</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KIcon.html">KIcon</a>&nbsp;</td>
<td class="paramname"><em>icon</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the icon of any button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button identifier.

<tr><td></td><td valign="top"><em>icon</em>&nbsp;</td><td> Button icon.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186505420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonMenu</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qmenu.html">QMenu</a>&nbsp;</td>
<td class="paramname"><em>menu</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonPopupMode&nbsp;</td>
<td class="paramname"><em>popupmode=KDialog.InstantPopup</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the menu of any button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button identifier.

<tr><td></td><td valign="top"><em>menu</em>&nbsp;</td><td> The menu.

<tr><td></td><td valign="top"><em>popupmode</em>&nbsp;</td><td> Choose if KPushButton setMenu or setDelayedMenu is used
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186529292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonText</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the text of any button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button identifier.

<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> Button text.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186529932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonToolTip</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the tooltip text of any button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button identifier.

<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> Button text.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj179943692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonWhatsThis</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the "What's this?" text of any button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button identifier.

<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> Button text.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186585324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtons</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCodes&nbsp;</td>
<td class="paramname"><em>buttonMask</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates (or recreates) the button box and all the buttons in it.
</p>
<p>
Note that some combinations are not possible. That means, you can't
have the following pairs of buttons in a dialog:
- Default and Details
- Cancel and Close
- Ok and Try
</p>
<p>
This will reset all default KGuiItem of all button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>buttonMask</em>&nbsp;</td><td> Specifies what buttons will be made.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186586924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setButtonsOrientation</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.Orientation</a>&nbsp;</td>
<td class="paramname"><em>orientation</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the orientation of the button box.
</p>
<p>
It can be <b>Vertical</b> or <b>Horizontal.</b> If <b>Horizontal</b>
(default), the button box is positioned at the bottom of the
dialog. If <b>Vertical</b> it will be placed at the right edge of the
dialog.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>orientation</em>&nbsp;</td><td> The button box orientation.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169937740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCaption</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Make a KDE compliant caption.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> Your caption. Do <b>not</b> include the application name
in this string. It will be added automatically according to the KDE
standard.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169937548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCaption</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>modified</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Makes a KDE compliant caption.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> Your caption. <b>Do</b> <b>not</b> include the application name
in this string. It will be added automatically according to the KDE
standard.

<tr><td></td><td valign="top"><em>modified</em>&nbsp;</td><td> Specify whether the document is modified. This displays
an additional sign in the title bar, usually "**".
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186587724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDefaultButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the button that will be activated when the Enter key
is pressed.
</p>
<p>
By default, this is the Ok button if it is present
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button code.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj170006092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDetailsWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>detailsWidget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the widget that gets shown when "Details" is enabled.
</p>
<p>
The dialog takes over ownership of the widget.
Any previously set widget gets deleted.
</p></div></div><a class="anchor" name="obj169957164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDetailsWidgetVisible</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>visible</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the status of the Details button.
</p></div></div><a class="anchor" name="obj186587340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setEscapeButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the button that will be activated when the Escape key
is pressed.
</p>
<p>
By default, the Escape key is mapped to either the Cancel or the Close button
if one of these buttons are defined. The user expects that Escape will
cancel an operation so use this function with caution.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The button code.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169959404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setHelp</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>anchor</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>appname=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the help path and topic.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>anchor</em>&nbsp;</td><td> Defined anchor in your docbook sources

<tr><td></td><td valign="top"><em>appname</em>&nbsp;</td><td> Defines the appname the help belongs to
If empty it's the current one
</td></tr>
</table></dl>
<p> <dl class="note" compact><dt><b>Note:</b></dt><dd> The help button works differently for the class
KCMultiDialog, so it does not make sense to call this
function for Dialogs of that type. See
KCMultiDialog.slotHelp() for more information.
</dd></dl>
</p></div></div><a class="anchor" name="obj169957804"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setHelpLinkText</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the text that is shown as the linked text.
</p>
<p>
If text is empty,
the text "Get help..." (internationalized) is used instead.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> The link text.
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> helpLinkText()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> enableLinkedHelp()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setHelp()
</dd></dl>
</p></div></div><a class="anchor" name="obj186504332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setInitialSize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a>&nbsp;</td>
<td class="paramname"><em>size</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convenience method. Sets the initial dialog size.
</p>
<p>
This method should only be called right before show() or exec().
The initial size will be ignored if smaller than
the dialog's minimum size.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>size</em>&nbsp;</td><td> Startup size.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169984236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMainWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the main widget of the dialog.
</p></div></div><a class="anchor" name="obj169937804"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPlainCaption</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Make a plain caption without any modifications.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> Your caption. This is the string that will be
displayed in the window title.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186585612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> showButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KDialog.ButtonCode&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Hide or display a general action button.
</p>
<p>
Only buttons that have
been created in the constructor can be displayed. This method will
not create a new button.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> Button identifier.

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> true display the button(s).
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186588876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> showButtonSeparator</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Hide or display the a separator line drawn between the action
buttons an the main widget.
</p></div></div><a class="anchor" name="obj169937292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a> sizeHint</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reimplemented from QDialog.
</p></div></div><a class="anchor" name="obj189032876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotButtonClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>button</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Activated when the button <b>button</b> is clicked
</p>
<p>
Sample that shows how to catch and handle button clicks within
an own dialog;
<pre class="fragment">
 class MyDialog : public KDialog {
     protected slots:
         virtual void slotButtonClicked(int button) {
             if (button == KDialog.Ok)
                 accept();
             else
                 KDialog.slotButtonClicked(button);
         }
 }
</pre>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>button</em>&nbsp;</td><td> is the type <b>KDialog.ButtonCode</b>
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj169921548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int spacingHint</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the number of pixels that should be used between
widgets inside a dialog according to the KDE standard.
</p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use the style's layoutSpacing() function to query individual spacings.
Different platforms may use different values depending on widget types and pairs.
</dd></dl>
</p></div></div><a class="anchor" name="obj170018444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> tryClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Try button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("tryClicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj189034188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> updateGeometry</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Updates the margins and spacings.
</p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> KDialog respects the style's margins and spacings automatically. Calling
this function has no effect.
</dd></dl>
</p></div></div><a class="anchor" name="obj170018220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> user1Clicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The User1 button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("user1Clicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj170016972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> user2Clicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The User2 button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("user2Clicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj170006604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> user3Clicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The User3 button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("user3Clicked()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169945644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> yesClicked</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Yes button was pressed. This signal is only emitted if
slotButtonClicked() is not replaced
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("yesClicked()"), target_slot)</code></dd></dl></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj186564492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ButtonCode</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>ButtonCodes</code> instance when passing them to a method as group of flags. For example: <code>ButtonCodes( None | Help)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>None</em>&nbsp;=&nbsp;0x00000000</td><td><tr><td valign="top"><em>Help</em>&nbsp;=&nbsp;0x00000001</td><td><tr><td valign="top"><em>Default</em>&nbsp;=&nbsp;0x00000002</td><td><tr><td valign="top"><em>Ok</em>&nbsp;=&nbsp;0x00000004</td><td><tr><td valign="top"><em>Apply</em>&nbsp;=&nbsp;0x00000008</td><td><tr><td valign="top"><em>Try</em>&nbsp;=&nbsp;0x00000010</td><td><tr><td valign="top"><em>Cancel</em>&nbsp;=&nbsp;0x00000020</td><td><tr><td valign="top"><em>Close</em>&nbsp;=&nbsp;0x00000040</td><td><tr><td valign="top"><em>No</em>&nbsp;=&nbsp;0x00000080</td><td><tr><td valign="top"><em>Yes</em>&nbsp;=&nbsp;0x00000100</td><td><tr><td valign="top"><em>Reset</em>&nbsp;=&nbsp;0x00000200</td><td><tr><td valign="top"><em>Details</em>&nbsp;=&nbsp;0x00000400</td><td><tr><td valign="top"><em>User1</em>&nbsp;=&nbsp;0x00001000</td><td><tr><td valign="top"><em>User2</em>&nbsp;=&nbsp;0x00002000</td><td><tr><td valign="top"><em>User3</em>&nbsp;=&nbsp;0x00004000</td><td><tr><td valign="top"><em>NoDefault</em>&nbsp;=&nbsp;0x00008000</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj186562028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ButtonPopupMode</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>ButtonPopupModes</code> instance when passing them to a method as group of flags. For example: <code>ButtonPopupModes( InstantPopup | DelayedPopup)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>InstantPopup</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>DelayedPopup</em>&nbsp;=&nbsp;1</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj169969132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">CaptionFlag</td>
</tr>
</table>
</div>
<div class="memdoc"><p>StandardCaptionFlag
Used to specify how to construct a window caption
</p>
<p>

<b>AppName</b> - Indicates that the method shall include
the application name when making the caption string.

<b>Modified</b> - Causes a 'modified' sign will be included in the
returned string. This is useful when indicating that a file is
modified, i.e., it contains data that has not been saved.

<b>HIGCompliant</b> - The base minimum flags required to align a
caption with the KDE Human Interface Guidelines
</p><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>CaptionFlags</code> instance when passing them to a method as group of flags. For example: <code>CaptionFlags( NoCaptionFlags | AppNameCaption)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoCaptionFlags</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>AppNameCaption</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>ModifiedCaption</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>HIGCompliantCaption</em>&nbsp;=&nbsp;AppNameCaption</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
